DLTLYSE(1)

NAME
dltlyse - DLT log file analyser with plugins

DESCRIPTION
usage: dltlyse [-h] [-c FILE] [-d PLUGIN_DIRS] [--no-default-dir] [-p PLUGINS]

    [--exclude EXCLUDE] [-s] [-r] [-v] [-x XUNIT] [--xunit-testsuite-name XUNIT_TESTSUITE_NAME] [--no-sort] [--live-run] [traces [traces ...]]

DLT file analyser

  positional arguments:

traces
    DLT trace files

  optional arguments:

-h, --help
    show this help message and exit

-c FILE, --config FILE
    Use specific config file

-d PLUGIN_DIRS, --plugins-dir PLUGIN_DIRS
    Add directory to search for plugins

--no-default-dir
    Do not look for plugins in the default directories

-p PLUGINS, --plugins PLUGINS
    Initialize only explicitly listed plugin classes

--exclude EXCLUDE
    Exclude listed plugin classes

-s, --show-plugins
    Show available plugins

-r, --recursive
    Search directories for traces recursively

-v, --verbose
    Turn on verbose messages

-x XUNIT, --xunit XUNIT
    Generate result file in xUnit format to the specified file

--xunit-testsuite-name XUNIT_TESTSUITE_NAME
    Testsuite name used inside the xunit results file

--no-sort
    Compatibility option - ignored

--live-run
    Do a live run of DLTlyse plugins on incoming DLT logs